import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import http from './request';
import store from '@/store/index.js';
import {

	RouterMount
} from "./router/index.js";
import './uni.promisify.adaptor';
//处理时间格式
import {
	dateFormat
} from '@/utils/index.js';
Vue.prototype.dateFormat = dateFormat;
Vue.config.productionTip = false
// 挂载请求
Vue.prototype.$http = http;
Vue.prototype.$store = store;
// Vue.use(router);
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif